#ifndef INCLUDED_IO_READ_H
#define INCLUDED_IO_READ_H

#define IRS_TS_WS_MAJOR 61
#define LEN 12 //13
#define LINECOUNT 1

#define IRS_TS_WS_PORT_READ1 0x0310
#define IRS_TS_WS_PORT_READ2 0x0312
//#define IRS_TS_WS_PORT_MASK 0x0142

#define IRS_TS_WS_IOC_MAGIC 'i'
#define IO_READ1         _IOR(IRS_TS_WS_IOC_MAGIC, 0,unsigned long)//unsigned short int
#define IO_READ2         _IOR(IRS_TS_WS_IOC_MAGIC, 1,unsigned long)
#define TS_READ          _IOR(IRS_TS_WS_IOC_MAGIC, 2,unsigned long)
//#define PO_READ          _IOR(IRS_TS_WS_IOC_MAGIC, 3,unsigned long)
#define IRS_TS_WS_HARDRESET _IO(IRS_TS_WS_IOC_MAGIC,  4)
#define LCD_IOC_MAXNR 3

#include "Debug.h"

class IoRead{
public:
	IoRead(const char *fd_path);
	~IoRead();

	bool isFdError();
	int get(unsigned char num);
private:
	static int idCounter;
	int id;
	int fd;
};

#endif
