#!/usr/bin/env python
# -*- coding: utf-8 -*-
import math, position

class Route(list):
    def __init__(self,filepath):
        list.__init__(self)
        f = open(filepath,"r")
        for line in f:
            if line == "\n": continue
            self.append([float(i) for i in line[:-1].split("\t")])
        f.close()
        print(self)
        self.index = 0

    def isEnd(self):
        if self.index >= len(self): return True
        else: False
    def get(self):
        assert self.index < len(self), "route index is over"
        return self[self.index]
    def getPosition(self):
        assert self.index < len(self), "route index is over"
        return position.Position(self[self.index][0], self[self.index][1])
    def next(self):
        assert self.index < len(self), "route index is over"
        self.index += 1
    def previous(self):   self.index -= 1
    def seek(self,index): self.index = index
    #def seekPos(self,pos): self.index = list.index(self,[pos.x,pos.y])
    def searchNearAndSetIndex(self,pos):
        distancelist = [math.sqrt( (line[0]-pos.x)**2 + (line[1]-pos.y)**2 ) for line in self]
        self.index = distancelist.index(min(distancelist))
        x,y = self[ distancelist.index(min(distancelist)) ]
        return position.Position(x,y)

if __name__=="__main__":
    route = Route("data/patrol_route.dat")
    print route
    print route.searchNear(100,10)
