class PositionViewer(QtGui.QWidget):
	def __init__(self,parent=None):
		QtGui.QWidget.__init__(self, parent=parent)
		self.label=QtGui.QLabel("asdfa",parent=self)
		self.label.setGeometry(0,0,400,100)
		self.timer = QtCore.QTimer(parent=self)
		self.count=0
		self.timer.setInterval(10)
		self.timer.timeout.connect(self.appupdate)
		self.timer.start()
		self.mc = MotorControllerEx(path_l = "/dev/mirS0", path_r = "/dev/mirS1")
		mcthread=threading.Thread(target=self.mcThreadStart)
		mcthread.daemon=True
		mcthread.start()
	def appupdate(self):
		self.count+=1
		self.label.setText(str((self.mc.pos.x,self.mc.pos.y,self.mc.pos.theta*180/math.pi)))
	def mcThreadStart(self):
		self.mc.clear()
		while not self.mc.straight(speed=20,dest=1000,kd=0.005,kp=0.01,ki=0.04,accomplishment=20) :
			print("distance : " + str((self.mc.l.distance,self.mc.r.distance)))
			print(self.mc.pos.x,self.mc.pos.y,self.mc.pos.theta*180/math.pi)
		self.mc.brake()
def main():
	app = QtGui.QApplication(sys.argv)	
	pv = PositionViewer()
	pv.show()
	app.exec_()
	
