#ifndef INCLUDED_CONTROLLER_H
#define INCLUDED_CONTROLLER_H

#include "MotorController.h"
#include "Uss.h"
#include "IoRead.h"
#include "Ball.h"
#include "Debug.h"

#define STRAIGHT_SPEED 20
#define ROTATE_SPEED 15
#define CIRCLE_SPEED 15
#define STD_SPEED 16

#define TOUCH_L 10	//タッチセンサのポート(左)
#define TOUCH_C 11	//タッチセンサのポート(中央)
#define TOUCH_R 9	//タッチセンサのポート(右)

#define USS_F 1
#define USS_L 0

namespace Controller{
	void controller(MotorController& mc, Uss& uss, IoRead& ir); //コースの走行全体を管理する。
}

#endif
