#ifndef INCLUDED_NUMBER_H
#define INCLUDED_NUMBER_H

#include "Debug.h"

//opencv2.xを使用するときは2,opencv1.xを使用するときは1
#define CV_VERSION_NUM 1
// DEBUG モード使用するときに define する。使用しない場合はコメントアウトする。
#define __DEBUG_IMG__

//取得する画像の縦横のピクセル数
#define IMG_X 320
#define IMG_Y 240

namespace Number{
	int number_l; //左側の数字
	int number_r; //右側の数字

	void get_img(const char *, int, int);

	int number_detect(void);
	void binarization(IplImage*, IplImage*, int);
	void number_search(IplImage*, int*);
	void triming(IplImage*, CvRect);
	int labelling(IplImage*, int pxy[][4]);
}

#endif
