#include <stdio.h>
#include <unistd.h>
#include "TestBall1.h"

int main(void/*int argc, char *argv[]*/){
	//double dis,deg;
	MotorController mc(MOTOR_L_PATH, MOTOR_R_PATH, MIRS_RADIUS);
	Uss uss(S_PORT_PATH, USS_NUM);
	IoRead ir(IO_PATH);

	//ファイルディスクリプタが初期化できているかの確認
	if(mc.isFdNull() || uss.isFdNull() || ir.isFdNull()){
		fprintf(stderr,"main() : fd couldn't open\n");
		return 1;
	}
	debug_printf("finished initialize.\n");

	//USS スレッド生成
	debug_printf("USS thread start ...");
	uss.startThread();

	//Mirs.cppでは，ここで Controller::controller(mc,uss) を呼ぶ．

	//ここにテスト用処理を書く

	//Ball::ball_detect(&dis,&deg);

	//ここまでテスト用処理

	//スレッドのキャンセル
	debug_printf("USS thread finish ...");
	uss.finishThread();

	return 0;
}

