#ifndef INCLUDED_MIRS_H
#define INCLUDED_MIRS_H

#include <string>
#include <iostream>
#include "Controller.h"
#include "MotorController.h"
#include "Uss.h"
#include "IoRead.h"
#include "Ball.h"
#include "Number.h"

#define MIRS_RADIUS 152 //中心とタイヤ間の距離(mm)
//#define MOTOR_CYCLE 100 //モータ制御周期(msec)
#define MOTOR_L_PATH    "/dev/mirS0" //モーター左 デバイスファイルのパス
#define MOTOR_R_PATH    "/dev/mirS1" //モーター右 デバイスファイルのパス
#define IO_PATH		"/dev/irs_ts_ws" //on/off I/O デバイスファイルのパス
#define S_PORT_PATH "/dev/ttyS0"
#define USS_MAX_NUM 2 //個数

#endif
