#!/usr/bin/env python
# -*- coding:utf-8 -*-
import cv,balldetector
cam_count = 3
width=160
height=120
BUFFER_SIZE=4
#ws1 = [cv.NamedWindow("camera"+str(i)) for i in range(cam_count)]
#ws2 = [cv.NamedWindow("thrsld"+str(i)) for i in range(cam_count)]
caps = [cv.CaptureFromCAM(i) for i in range(cam_count)]
ball_detectors = [balldetector.BallDetector(height=height,width=width,identification=index,debug=False,windowdebug=True) for index in range(cam_count)]
for cap in caps:
    cv.SetCaptureProperty(cap,cv.CV_CAP_PROP_FRAME_WIDTH,width)
    cv.SetCaptureProperty(cap,cv.CV_CAP_PROP_FRAME_HEIGHT,height)
while True:
    for cap in caps:
        for i in range(BUFFER_SIZE): cv.GrabFrame(cap)
    imgs = [cv.QueryFrame(cap) for cap in caps]
    for i in range(cam_count):
        ball_detectors[i].update(imgs[i])
        #cv.ShowImage("thrsld"+str(i),ball_detectors[i].output1c)
        #cv.ShowImage("camera"+str(i),imgs[i])
    #if cv.WaitKey() == 27:
    #    break
    if cv.WaitKey(30) >= 0: break
