#!/usr/bin/env python
# -*- coding: utf-8 -*-
import sys
from PyQt4 import QtGui
from PyQt4 import QtCore

BUTTON_SIZE_WIDTH = 80
BUTTON_SIZE_HEIGHT = 70
SINGLE_BLOCK = 500
CENTER_OF_MAP_X = BUTTON_SIZE_WIDTH*4
CENTER_OF_MAP_Y = 0
class RouteMaker(QtGui.QWidget):
    class MyButton(QtGui.QPushButton):
        def __init__(self, i, j, qwidget):
            QtGui.QPushButton.__init__(self, str(i)+","+str(j), qwidget)
            self.i = i
            self.j = j    
        def _positionInput(self):
            print str(self.i)+"\t"+str(self.j)

    def __init__(self):
        self.app = QtGui.QApplication(sys.argv)
        QtGui.QWidget.__init__(self)
        self.resize(BUTTON_SIZE_WIDTH*10+80, BUTTON_SIZE_HEIGHT*10)
        self.setWindowTitle("routemaker")
        buttons = [self.MyButton(i,j, self) for i in range(-2000,3000,500) for j in range(0,5000,500)]
        for button in buttons:
            button.clicked.connect(button._positionInput)
            button.setGeometry(CENTER_OF_MAP_X+BUTTON_SIZE_WIDTH*button.i/SINGLE_BLOCK,
                               CENTER_OF_MAP_Y+BUTTON_SIZE_HEIGHT*(4500-button.j)/SINGLE_BLOCK, BUTTON_SIZE_WIDTH, BUTTON_SIZE_HEIGHT)
    def exec_(self):
        QtGui.QWidget.show(self)
        return self.app.exec_()

if __name__ == "__main__":
    rm = RouteMaker()
    rm.exec_()