#!/usr/bin/env python
# -*- coding:utf-8 -*-
import paramiko,os

SERVER_SIDE_DIRECTORY = "mirs1302"
SERVER_ADDRESS = "192.168.11.201"

class DataSender(object):
    def __init__(self):
        self.ssh = paramiko.SSHClient()
        self.ssh.set_missing_host_key_policy(paramiko.AutoAddPolicy())
        self.ssh.connect(SERVER_ADDRESS, username="mirs", password="yaramaika")
        self.sftp = self.ssh.open_sftp()
    def __del__(self):
        self.sftp.close()
        self.ssh.close()
    def send_file(self,filename,filename_change="",client_directory=".",server_address=SERVER_ADDRESS,server_side_directory=SERVER_SIDE_DIRECTORY):
        path_from = os.path.join(os.getcwd(),client_directory,filename)
        if filename_change != "":
            path_to = os.path.join(SERVER_SIDE_DIRECTORY,filename_change)
        else:
            path_to = os.path.join(SERVER_SIDE_DIRECTORY,filename)
        print "send from "+path_from+" to "+path_to
        self.sftp.put(path_from, path_to)

if __name__ == "__main__":
    ds = DataSender()
    ds.send_file("sshsample.txt",client_directory="data")
