#!/usr/bin/env python
# -*- coding: utf-8 -*-
import imagethread, position, threading, math

#モードの動作確認用とGUIからボールの位置を設定。OpenCVは全く使用しない。
class VImageThread(imagethread.ImageThread):
    def __init__(self,cameras,debug=True):
        threading.Thread.__init__(self)
        self.thread_mode = "stop" #all,ball,number,stopの4種類
        self.isball = False
        self.ballpos = position.Position(0,0)
        self.numbers=[0,0]
        self.phantompos = position.Position(1000, 1500)
        self.mainthread = threading.currentThread()
        threading.Thread.start(self)

    def run(self):
        while self.mainthread.isAlive():
            if   self.thread_mode == "all":    self._update_all()
            elif self.thread_mode == "ball":   self._update_ball()
            elif self.thread_mode == "number": self._update_number()
            elif self.thread_mode == "stop": pass
            else : pass
    def _update_all(self):
        pass
    def _update_ball(self):
        pass
    def _update_number(self):
        pass
    def getNumbers(self,count):
        return self.numbers
    def isBall(self):
        return self.isball
    def getBallRelativePosition(self):
        return self.ballpos
    def calcVirtualPhantom(self, motorcontroller):
        diffpos = self.phantompos - motorcontroller.pos
        x = diffpos.x * math.cos(motorcontroller.pos.theta) + diffpos.y * math.sin(motorcontroller.pos.theta)
        y = -diffpos.x * math.sin(motorcontroller.pos.theta) + diffpos.y * math.cos(motorcontroller.pos.theta)
        self.ballpos = position.Position(x, y)
    def toggleIsBallFlag(self):
        if  self.isball == True:
            self.isball = False
        else:
            self.isball = True
